import Vue from 'vue';
import { Component } from 'vue-property-decorator';
import { Config } from '@zeedhi/core';
import { TekLibLocalStorage } from '@zeedhi/tek-lib';
// import { ZdPage } from '@zeedhi/vue';

/**
 * Select Main Page
 */
@Component
export default class MainPage extends Vue {
  public mainPagePath() {
    const page: string = 'dashboardNext';

    const module: string = 'dsb';

    const userAuth = JSON.stringify({
      LOGIN_TOKEN: localStorage.getItem('LOGIN_TOKEN'),
      LOGIN_USER: localStorage.getItem('LOGIN_USER'),
      LOGIN_USER_NAME: localStorage.getItem('LOGIN_USER_NAME'),
      LOGIN_LANGUAGE: localStorage.getItem('LOGIN_LANGUAGE'),
      LOGIN_HASH: localStorage.getItem('LOGIN_HASH'),
      LOGIN_KEEP_CONNECTED: localStorage.getItem('LOGIN_KEEP_CONNECTED'),
    });

    const productInfo = JSON.stringify({
      PRODUCT_ID: TekLibLocalStorage.getItem('IS_NEXT') ? Config.env.product.id : TekLibLocalStorage.getItem('PRODUCT_ID'),
      PRODUCT_URL: Config.env.product.url,
      PRODUCT_LOGO_URL: Config.env.product.logoUrl,
      PRODUCT_BACKGROUND_IMG_PATH: Config.env.loginBackgroundImgUrl,
      MODULES_THEME_COLOR: Config.env.product.modulesThemeColor.replace('#', ''),
      MODULES_ROUTE_PATH: this.$route.path,
      IS_NEXT: TekLibLocalStorage.getItem('IS_NEXT') !== false,
      CDPICTPRAT: localStorage.getItem('CDPICTPRAT'),
      CDPICTCCTB: localStorage.getItem('CDPICTCCTB'),
      CDPICTPROD: localStorage.getItem('CDPICTPROD'),
    });

    let path;
    const menu = JSON.parse(<string>localStorage.getItem('MENU'));
    if (menu.find((obj: any) => obj.name === 'parametersDashboard')) {
      path = `${Config.env.modules[module].baseUrl}?page=${page}&user_auth=${userAuth}&product_info=${productInfo}`;
    } else {
      path = null;
    }

    return path;
  }
}
